Package com.collibra.dgc.core.api.dto.instance.complexrelation

# Class ExportComplexRelationsToCSVRequest.Builder

Object
Builder

Enclosing class:
  `ExportComplexRelationsToCSVRequest`

public static final class ExportComplexRelationsToCSVRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExportComplexRelationsToCSVRequest`
  `build()`
  `ExportComplexRelationsToCSVRequest.Builder`
  `complexRelationTypeId(UUID complexRelationTypeId)`
  `ExportComplexRelationsToCSVRequest.Builder`
  `domainId(UUID domainId)`
  `ExportComplexRelationsToCSVRequest.Builder`
  `escape(String escape)`
  `ExportComplexRelationsToCSVRequest.Builder`
  `fileName(String fileName)`
  `ExportComplexRelationsToCSVRequest.Builder`
  `includeHeaderRow(boolean includeHeaderRow)`
  `ExportComplexRelationsToCSVRequest.Builder`
  `quote(String quote)`
  `ExportComplexRelationsToCSVRequest.Builder`
  `removeFormatting(boolean removeFormatting)`
  `ExportComplexRelationsToCSVRequest.Builder`
  `separator(String separator)`
  `ExportComplexRelationsToCSVRequest.Builder`
  `storeAsAttachment(boolean storeAsAttachment)`
  `ExportComplexRelationsToCSVRequest.Builder`
  `supportRoundtrip(boolean supportRoundtrip)`
  `String`
  `toString()`
  `ExportComplexRelationsToCSVRequest.Builder`
  `withComplexRelationTypeId(UUID val)`
  Deprecated.
  This method will be removed from the next major release.
  `ExportComplexRelationsToCSVRequest.Builder`
  `withDomainId(UUID val)`
  Deprecated.
  This method will be removed from the next major release.
  `ExportComplexRelationsToCSVRequest.Builder`
  `withEscape(String val)`
  Deprecated.
  `ExportComplexRelationsToCSVRequest.Builder`
  `withFileName(String val)`
  Deprecated.
  This method will be removed from the next major release.
  `ExportComplexRelationsToCSVRequest.Builder`
  `withIncludeHeaderRow(boolean val)`
  Deprecated.
  This method will be removed from the next major release.
  `ExportComplexRelationsToCSVRequest.Builder`
  `withQuote(String val)`
  Deprecated.
  This method will be removed from the next major release.
  `ExportComplexRelationsToCSVRequest.Builder`
  `withRemoveFormatting(boolean val)`
  Deprecated.
  This method will be removed from the next major release.
  `ExportComplexRelationsToCSVRequest.Builder`
  `withSeparator(String val)`
  Deprecated.
  This method will be removed from the next major release.
  `ExportComplexRelationsToCSVRequest.Builder`
  `withStoreAsAttachment(boolean val)`
  Deprecated.
  This method will be removed from the next major release.
  `ExportComplexRelationsToCSVRequest.Builder`
  `withSupportRoundtrip(boolean val)`
  Deprecated.
  This method will be removed from the next major release.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### withDomainId

    @Deprecated public ExportComplexRelationsToCSVRequest.Builder withDomainId(UUID val)
    Deprecated.
    This method will be removed from the next major release. Please use `domainId(UUID)`

  - ### withComplexRelationTypeId

    @Deprecated public ExportComplexRelationsToCSVRequest.Builder withComplexRelationTypeId(UUID val)
    Deprecated.
    This method will be removed from the next major release. Please use `complexRelationTypeId(UUID)`

  - ### withStoreAsAttachment

    @Deprecated public ExportComplexRelationsToCSVRequest.Builder withStoreAsAttachment(boolean val)
    Deprecated.
    This method will be removed from the next major release. Please use `storeAsAttachment(boolean)`

  - ### withFileName

    @Deprecated public ExportComplexRelationsToCSVRequest.Builder withFileName(String val)
    Deprecated.
    This method will be removed from the next major release. Please use `fileName(String)`

  - ### withIncludeHeaderRow

    @Deprecated public ExportComplexRelationsToCSVRequest.Builder withIncludeHeaderRow(boolean val)
    Deprecated.
    This method will be removed from the next major release. Please use `includeHeaderRow(boolean)`

  - ### withSupportRoundtrip

    @Deprecated public ExportComplexRelationsToCSVRequest.Builder withSupportRoundtrip(boolean val)
    Deprecated.
    This method will be removed from the next major release. Please use `supportRoundtrip(boolean)`

  - ### withRemoveFormatting

    @Deprecated public ExportComplexRelationsToCSVRequest.Builder withRemoveFormatting(boolean val)
    Deprecated.
    This method will be removed from the next major release. Please use `removeFormatting(boolean)`

  - ### withSeparator

    @Deprecated public ExportComplexRelationsToCSVRequest.Builder withSeparator(String val)
    Deprecated.
    This method will be removed from the next major release. Please use `separator(String)`

  - ### withQuote

    @Deprecated public ExportComplexRelationsToCSVRequest.Builder withQuote(String val)
    Deprecated.
    This method will be removed from the next major release. Please use `quote(String)`

  - ### withEscape

    @Deprecated public ExportComplexRelationsToCSVRequest.Builder withEscape(String val)
    Deprecated.
    This method will be removed from the next major release. Please use `escape(String)`

  - ### complexRelationTypeId

    public ExportComplexRelationsToCSVRequest.Builder complexRelationTypeId(UUID complexRelationTypeId)
    Returns:
      `this`.

  - ### domainId

    public ExportComplexRelationsToCSVRequest.Builder domainId(UUID domainId)
    Returns:
      `this`.

  - ### storeAsAttachment

    public ExportComplexRelationsToCSVRequest.Builder storeAsAttachment(boolean storeAsAttachment)
    Returns:
      `this`.

  - ### fileName

    public ExportComplexRelationsToCSVRequest.Builder fileName(String fileName)
    Returns:
      `this`.

  - ### includeHeaderRow

    public ExportComplexRelationsToCSVRequest.Builder includeHeaderRow(boolean includeHeaderRow)
    Returns:
      `this`.

  - ### supportRoundtrip

    public ExportComplexRelationsToCSVRequest.Builder supportRoundtrip(boolean supportRoundtrip)
    Returns:
      `this`.

  - ### removeFormatting

    public ExportComplexRelationsToCSVRequest.Builder removeFormatting(boolean removeFormatting)
    Returns:
      `this`.

  - ### separator

    public ExportComplexRelationsToCSVRequest.Builder separator(String separator)
    Returns:
      `this`.

  - ### quote

    public ExportComplexRelationsToCSVRequest.Builder quote(String quote)
    Returns:
      `this`.

  - ### escape

    public ExportComplexRelationsToCSVRequest.Builder escape(String escape)
    Returns:
      `this`.

  - ### build

    public ExportComplexRelationsToCSVRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`